org.apache.directory.mavibot.btree

## Class InMemoryBTreeBuilder<K,V>

- java.lang.Object
- - org.apache.directory.mavibot.btree.InMemoryBTreeBuilder<K,V>

-     public class InMemoryBTreeBuilder<K,V>
      extends Object

  A BTree builder that builds a tree from the bottom.
  Author:
    Apache Directory Project

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InMemoryBTreeBuilder(InMemoryBTreeConfiguration<K,V> btreeConfiguration)` Creates a new instance of InMemoryBTreeBuilder.
    `InMemoryBTreeBuilder(String name, int numKeysInNode, ElementSerializer<K> keySerializer, ElementSerializer<V> valueSerializer)` Creates a new instance of InMemoryBTreeBuilder.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `BTree<K,V>` | `build(Iterator<Tuple<K,V>> sortedTupleItr)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InMemoryBTreeBuilder

          public InMemoryBTreeBuilder(String name,
                              int numKeysInNode,
                              ElementSerializer<K> keySerializer,
                              ElementSerializer<V> valueSerializer)

      Creates a new instance of InMemoryBTreeBuilder.
      Parameters:
        `name` - The BTree name
        `numKeysInNode` - The number of keys per node
        `keySerializer` - The key serializer
        `valueSerializer` - The value serializer

    - #### InMemoryBTreeBuilder

          public InMemoryBTreeBuilder(InMemoryBTreeConfiguration<K,V> btreeConfiguration)

      Creates a new instance of InMemoryBTreeBuilder.
      Parameters:
        `btreeConfiguration` - The Btree configuration

  - ### Method Detail

    - #### build

          public BTree<K,V> build(Iterator<Tuple<K,V>> sortedTupleItr)
                           throws IOException

      Throws:
        `IOException`

Copyright © 2012–2015 Apache Mavibot Project Parent. All rights reserved.